ubuntu16.04 virtualbox异常

0.12字数 251阅读 5

Ubuntu16.04 用来编译android 之前把gcc改到4.4
默认的gcc版本是5.4

降级后 安装virtualbox 就各种异常
包括依赖virtualbox 的genymotion也是提示有问题不能启动啊,提示更新最新的virtualbox啊

解决方案:
升级gcc就好了
/*
sudo update-alternatives --install /usr/bin/gcc gcc /usr/bin/gcc-4.4 50
sudo update-alternatives --install /usr/bin/gcc gcc /usr/bin/gcc-5 100
sudo update-alternatives --install /usr/bin/g++ g++ /usr/bin/g++-4.4 50
sudo update-alternatives --install /usr/bin/g++ g++ /usr/bin/g++-5 100
sudo update-alternatives --install /usr/bin/cpp cpp-bin /usr/bin/cpp-4.4 50
sudo update-alternatives --install /usr/bin/cpp cpp-bin /usr/bin/cpp-5 100
*/

【VirtualBox error : kernel driver not installed(rc=-1908)】

VirtualBox error : kernel driver not installed(rc=-1908)

这个问题两种方法:
第一种:
https://stackoverflow.com/questions/13670176/virtualbox-error-kernel-driver-not-installedrc-1908
sudo apt-get remove virtualbox-dkms
sudo apt-get install virtualbox-dkms
验证ok
第二种:
https://my.oschina.net/jywm/blog/1632260
这个要下载和更新Ubuntu kernel
公司电脑使用的是这种方式
验证ok